import type { ValidationError } from '.';
import ValueObject from '.';
export default abstract class IntId extends ValueObject<number | string | null, number, number | null> {
    protected fromInput(): number | null;
    protected toOutput(): number;
    getErrors(name: string): ValidationError[] | undefined;
    compare(value: this): number;
}
